/// <reference types="node" />
import type { Readable, Writable } from 'stream';
import type { DataService } from 'mongodb-data-service';
import type { Delimiter, Linebreak, IncludedFields } from '../csv/csv-types';
import type { ImportResult, ErrorJSON, ImportProgress } from './import-types';
type ImportCSVOptions = {
    dataService: Pick<DataService, 'bulkWrite' | 'insertOne'>;
    ns: string;
    input: Readable;
    output?: Writable;
    abortSignal?: AbortSignal;
    progressCallback?: (progress: ImportProgress) => void;
    errorCallback?: (error: ErrorJSON) => void;
    delimiter?: Delimiter;
    newline: Linebreak;
    ignoreEmptyStrings?: boolean;
    stopOnErrors?: boolean;
    fields: IncludedFields;
};
export declare function importCSV({ dataService, ns, input, output, abortSignal, progressCallback, errorCallback, delimiter, newline, ignoreEmptyStrings, stopOnErrors, fields, }: ImportCSVOptions): Promise<ImportResult>;
export {};
//# sourceMappingURL=import-csv.d.ts.map