/// <reference types="node" />
import type { Readable, Writable } from 'stream';
import type { DataService } from 'mongodb-data-service';
import type { ImportResult, ErrorJSON, ImportProgress } from './import-types';
type JSONVariant = 'json' | 'jsonl';
type ImportJSONOptions = {
    dataService: Pick<DataService, 'bulkWrite' | 'insertOne'>;
    ns: string;
    input: Readable;
    output?: Writable;
    abortSignal?: AbortSignal;
    progressCallback?: (progress: ImportProgress) => void;
    errorCallback?: (error: ErrorJSON) => void;
    stopOnErrors?: boolean;
    jsonVariant: JSONVariant;
};
export declare function importJSON({ dataService, ns, input, output, abortSignal, progressCallback, errorCallback, stopOnErrors, jsonVariant, }: ImportJSONOptions): Promise<ImportResult>;
export {};
//# sourceMappingURL=import-json.d.ts.map