/// <reference types="node" />
import { Transform } from 'stream';
import type { Writable } from 'stream';
import type { ImportResult, ErrorJSON } from './import-types';
import type { WritableCollectionStream } from '../utils/collection-stream';
export declare function makeImportResult(collectionStream: WritableCollectionStream, numProcessed: number, docStatsStream: DocStatsStream, aborted?: boolean): ImportResult;
export declare function errorToJSON(error: any): ErrorJSON;
export declare function processWriteStreamErrors({ collectionStream, output, errorCallback, }: {
    collectionStream: WritableCollectionStream;
    output?: Writable;
    errorCallback?: (err: ErrorJSON) => void;
}): Promise<void>;
export declare function processParseError({ annotation, stopOnErrors, err, output, errorCallback, callback, }: {
    annotation: string;
    stopOnErrors?: boolean;
    err: unknown;
    output?: Writable;
    errorCallback?: (error: ErrorJSON) => void;
    callback: (err?: any) => void;
}): void;
type DocStats = {
    biggestDocSize: number;
    hasUnboundArray: boolean;
};
export declare class DocStatsStream extends Transform {
    private stats;
    constructor();
    getStats(): Readonly<DocStats>;
}
export {};
//# sourceMappingURL=import-utils.d.ts.map