import type AppRegistry from 'hadron-app-registry';
import type { DataService } from 'mongodb-data-service';
import type { Action, AnyAction } from 'redux';
import type { ThunkAction } from 'redux-thunk';
import type { PreferencesAccess } from 'compass-preferences-model';
import type { LoggerAndTelemetry } from '@mongodb-js/compass-logging/provider';
export declare function configureStore(services: ExportPluginServices): import("redux").Store<import("redux").EmptyObject & {
    export: import("../modules/export").ExportState;
}, AnyAction> & {
    dispatch: import("redux-thunk").ThunkDispatch<any, ExportPluginServices, AnyAction>;
};
export type RootExportState = ReturnType<ReturnType<typeof configureStore>['getState']>;
export type ExportPluginServices = {
    globalAppRegistry: AppRegistry;
    dataService: Pick<DataService, 'findCursor' | 'aggregateCursor'>;
    preferences: PreferencesAccess;
    logger: LoggerAndTelemetry;
};
export type ExportThunkAction<R, A extends Action = AnyAction> = ThunkAction<R, RootExportState, ExportPluginServices, A>;
export declare function activatePlugin(_: unknown, { globalAppRegistry, dataService, preferences, logger }: ExportPluginServices): {
    store: import("redux").Store<import("redux").EmptyObject & {
        export: import("../modules/export").ExportState;
    }, AnyAction> & {
        dispatch: import("redux-thunk").ThunkDispatch<any, ExportPluginServices, AnyAction>;
    };
    deactivate(): void;
};
//# sourceMappingURL=export-store.d.ts.map